/*
   flush.c - displays pictures on an X11 window
   Author:   Susumu Shiohara,SEIKO EPSON Corp.  (shiohara@io.tpp.epson.co.jp)

                  Copyright 1993 by Susumu Shiohara
              Copyright 1993 by SEIKO EPSON CORPORATION.

                           All Rights Reserved

*/

#include "xslideshow.h"

void FlushColors()
{
    int i,j,k;
    dword r,g,b;

    k=gim.mapsize;
    for(j=383;j>0;j -= app_data.flushSteps){
        for(i=0;i<k;i++){
            r =xcolors[i].red   * (word)j / 255; if(r >= 0x10000) r=0xffff;
            g =xcolors[i].green * (word)j / 255; if(g >= 0x10000) g=0xffff;
            b =xcolors[i].blue  * (word)j / 255; if(b >= 0x10000) b=0xffff;
            fcolors[i].red  =r;
            fcolors[i].green=g;
            fcolors[i].blue =b;
            fcolors[i].flags=xcolors[i].flags;
            fcolors[i].pixel=xcolors[i].pixel;
        }
        StoreColors(fcolors,gim.mapsize);
        myusleep(1000000/app_data.flushTicks);
    }
}

void xflushshow(char *fname)	/* Flush in,Flush out */
{
    int i;

    PreDisplay();
    if(app_data.showFileName) createFontWindow(fname);
    ShowImage((windowWidth-gim.width)/2,
		(windowHeight-gim.height)/2,
		gim.width,gim.height);
    if(app_data.showFileName) raiseFontWindow();
    for(i=0;i<app_data.flushCount;i++)
	FlushColors(False);
    if(app_data.showFileName) removeFontWindow();
}

void postxflushshow(char *fname) 
{
    ;
}
